Create a file

Requires the FILE.METER_DATA.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
file_namestringRequiredformat: "^[a-zA-Z0-9!#$%&-_.*\s]*$"0-256 characters
statusenumRequired
typeenumRequired
Allowed values:
content_typestringRequired
contentstringRequired
The content of the file, BASE64 encoded
number_of_lineslongRequired
namestring or nullOptionalformat: "^.*$"0-256 characters
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
customer_idstring or nullOptional
processing_typeenum or nullOptional
Allowed values:
file_processing_settings_idstring or nullOptional
meter_dataobjectOptional
download_settingsobjectOptional

Response

Created
referencestringformat: "^\S+$"0-256 characters
file_namestringformat: "^[a-zA-Z0-9!#$%&-_.*\s]*$"0-256 characters
statusenum
typeenum
Allowed values:
content_typestring
number_of_lineslong
object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
namestring or nullformat: "^.*$"0-256 characters
descriptionstring or nullformat: "^.*$"0-256 characters
customer_idstring or null
processing_typeenum or null
Allowed values:
file_processing_settings_idstring or null
meter_dataobject
column_headerslist of strings or nullRead-only
messagestring or nullRead-only
download_settingsobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error